## Interface Swift_Mime_Message

(line 21)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Mime_MimeEntity
          |
          --Swift_Mime_Message

Located in File: /vendors/swiftMailer/classes/Swift/Mime/Message.php

##### A Message (RFC 2822) object.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
string generateId ()
string[] getBcc ()
string[] getCc ()
int getDate ()
string[] getFrom ()
string[] getReplyTo ()
string getReturnPath ()
string getSender ()
string getSubject ()
string[] getTo ()
void setBcc (mixed $addresses, [string $name = null])
void setCc (mixed $addresses, [string $name = null])
void setDate (int $date)
void setFrom (mixed $addresses, [string $name = null])
void setReplyTo (mixed $addresses, [string $name = null])
void setReturnPath (string $address)
void setSender (mixed $address, [string $name = null])
void setSubject (string $subject)
void setTo (mixed $addresses, [string $name = null])

#### Method generateId (line 29)

#### string generateId( )

##### Generates a valid Message-ID and switches to it.

#### Info

- access - public

#### Method getBcc (line 228)

#### string[] getBcc( )

##### Get the Bcc addresses for this message.

This method always returns an associative array, whereby the keys provide the actual email addresses.

#### Info

- access - public

#### Method getCc (line 202)

#### string[] getCc( )

##### Get the Cc addresses for this message.

This method always returns an associative array, whereby the keys provide the actual email addresses.

#### Info

- access - public

#### Method getDate (line 57)

#### int getDate( )

##### Get the origination date of the message as a UNIX timestamp.

#### Info

- access - public

#### Method getFrom (line 128)

#### string[] getFrom( )

##### Get the From address(es) of this message.

This method always returns an associative array where the keys are the addresses.

#### Info

- access - public

#### Method getReplyTo (line 155)

#### string[] getReplyTo( )

##### Get the Reply-To addresses for this message.

This method always returns an associative array where the keys provide the email addresses.

#### Info

- access - public

#### Method getReturnPath (line 71)

#### string getReturnPath( )

##### Get the return-path (bounce-detect) address.

#### Info

- access - public

#### Method getSender (line 99)

#### string getSender( )

##### Get the sender address for this message.

This has a higher significance than the From address.

#### Info

- access - public

#### Method getSubject (line 43)

#### string getSubject( )

##### Get the subject of the message.

#### Info

- access - public

#### Method getTo (line 180)

#### string[] getTo( )

##### Get the To addresses for this message.

This method always returns an associative array, whereby the keys provide the actual email addresses.

#### Info

- access - public

#### Method setBcc (line 218)

#### void setBcc( mixed $addresses, [string $name = null])

##### Set the Bcc address(es).

Recipients set in this field will receive a 'blind-carbon-copy' of this message.

In other words, they will get the message, but any other recipients of the message will have no such knowledge of their receipt of it.

This method has the same synopsis as setFrom() and setTo().

#### Parameters

- mixed $addresses:
- string $name: optional

#### Info

- access - public

#### Method setCc (line 192)

#### void setCc( mixed $addresses, [string $name = null])

##### Set the Cc address(es).

Recipients set in this field will receive a 'carbon-copy' of this message.

This method has the same synopsis as setFrom() and setTo().

#### Parameters

- mixed $addresses:
- string $name: optional

#### Info

- access - public

#### Method setDate (line 50)

#### void setDate( int $date)

##### Set the origination date of the message as a UNIX timestamp.

#### Parameters

- int $date:

#### Info

- access - public

#### Method setFrom (line 118)

#### void setFrom( mixed $addresses, [string $name = null])

##### Set the From address of this message.

It is permissible for multiple From addresses to be set using an array.

If multiple From addresses are used, you SHOULD set the Sender address and according to RFC 2822, MUST set the sender address.

An array can be used if display names are to be provided: i.e. array('email@address.com' => 'Real Name').

If the second parameter is provided and the first is a string, then $name is associated with the address.

#### Parameters

- mixed $addresses:
- string $name: optional

#### Info

- access - public

#### Method setReplyTo (line 145)

#### void setReplyTo( mixed $addresses, [string $name = null])

##### Set the Reply-To address(es).

Any replies from the receiver will be sent to this address.

It is permissible for multiple reply-to addresses to be set using an array.

This method has the same synopsis as setFrom() and setTo().

If the second parameter is provided and the first is a string, then $name is associated with the address.

#### Parameters

- mixed $addresses:
- string $name: optional

#### Info

- access - public

#### Method setReturnPath (line 64)

#### void setReturnPath( string $address)

##### Set the return-path (bounce-detect) address.

#### Parameters

- string $address:

#### Info

- access - public

#### Method setSender (line 90)

#### void setSender( mixed $address, [string $name = null])

##### Set the sender of this message.

If multiple addresses are present in the From field, this SHOULD be set.

According to RFC 2822 it is a requirement when there are multiple From addresses, but Swift itself does not require it directly.

An associative array (with one element!) can be used to provide a display- name: i.e. array('email@address' => 'Real Name').

If the second parameter is provided and the first is a string, then $name is associated with the address.

#### Parameters

- mixed $address:
- string $name: optional

#### Info

- access - public

#### Method setSubject (line 36)

#### void setSubject( string $subject)

##### Set the subject of the message.

#### Parameters

- string $subject:

#### Info

- access - public

#### Method setTo (line 170)

#### void setTo( mixed $addresses, [string $name = null])

##### Set the To address(es).

Recipients set in this field will receive a copy of this message.

This method has the same synopsis as setFrom() and setCc().

If the second parameter is provided and the first is a string, then $name is associated with the address.

#### Parameters

- mixed $addresses:
- string $name: optional

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_MimeEntity

#### Swift_Mime_MimeEntity::getBody() - Get the body content of this entity as a string.

#### Swift_Mime_MimeEntity::getChildren() - Get all children nested inside this entity.

#### Swift_Mime_MimeEntity::getContentType() - Get the qualified content-type of this mime entity.

#### Swift_Mime_MimeEntity::getHeaders() - Get the collection of Headers in this Mime entity.

#### Swift_Mime_MimeEntity::getId() - Returns a unique ID for this entity.

#### Swift_Mime_MimeEntity::getNestingLevel() - Get the level at which this entity shall be nested in final document.

#### Swift_Mime_MimeEntity::setBody() - Set the body content of this entity as a string.

#### Swift_Mime_MimeEntity::setChildren() - Set all children nested inside this entity.

#### Swift_Mime_MimeEntity::toByteStream() - Get this entire entity as a ByteStream.

#### Swift_Mime_MimeEntity::toString() - Get this entire entity in its string form.

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:25 +0000 by phpDocumentor 1.4.3